#pragma once

#include "CommandTable.h"

extern CommandInfo kCommandInfo_GetMagicItemValue;
extern CommandInfo kCommandInfo_GetMagicEffectValue;
extern CommandInfo kCommandInfo_GetMagicEffectCodeValue;
extern CommandInfo kCommandInfo_MagicItemHasEffect;
extern CommandInfo kCommandInfo_MagicItemHasEffectCode;
extern CommandInfo kCommandInfo_GetMagicItemType;
extern CommandInfo kCommandInfo_GetMagicItemEffectCount;
extern CommandInfo kCommandInfo_GetNthEffectItemCode;
extern CommandInfo kCommandInfo_GetNthEffectItemMagnitude;
extern CommandInfo kCommandInfo_GetNthEffectItemArea;
extern CommandInfo kCommandInfo_GetNthEffectItemDuration;
extern CommandInfo kCommandInfo_GetNthEffectItemRange;
extern CommandInfo kCommandInfo_GetNthEffectItemActorValue;
extern CommandInfo kCommandInfo_GetSpellType;
extern CommandInfo kCommandInfo_GetSpellMagickaCost;
extern CommandInfo kCommandInfo_GetSpellMasteryLevel;
extern CommandInfo kCommandInfo_GetSpellSchool;
extern CommandInfo kCommandInfo_GetEnchantmentType;
extern CommandInfo kCommandInfo_GetEnchantmentCharge;
extern CommandInfo kCommandInfo_GetEnchantmentCost;
extern CommandInfo kCommandInfo_SetNthEffectItemMagnitude;
extern CommandInfo kCommandInfo_ModNthEffectItemMagnitude;
extern CommandInfo kCommandInfo_SetNthEffectItemArea;
extern CommandInfo kCommandInfo_ModNthEffectItemArea;
extern CommandInfo kCommandInfo_SetNthEffectItemDuration;
extern CommandInfo kCommandInfo_ModNthEffectItemDuration;
extern CommandInfo kCommandInfo_SetNthEffectItemRange;
extern CommandInfo kCommandInfo_SetNthEffectItemActorValue;
extern CommandInfo kCommandInfo_SetNthEffectItemActorValueC;
extern CommandInfo kCommandInfo_RemoveNthEffectItem;
extern CommandInfo kCommandInfo_SetSpellType;
extern CommandInfo kCommandInfo_SetSpellMagickaCost;
extern CommandInfo kCommandInfo_ModSpellMagickaCost;
extern CommandInfo kCommandInfo_SetSpellMasteryLevel;
extern CommandInfo kCommandInfo_SetEnchantmentType;
extern CommandInfo kCommandInfo_SetEnchantmentCharge;
extern CommandInfo kCommandInfo_ModEnchantmentCharge;
extern CommandInfo kCommandInfo_SetEnchantmentCost;
extern CommandInfo kCommandInfo_ModEnchantmentCost;
extern CommandInfo kCommandInfo_CopyNthEffectItem;
extern CommandInfo kCommandInfo_CopyAllEffectItems;
extern CommandInfo kCommandInfo_AddEffectItem;
extern CommandInfo kCommandInfo_AddEffectItemC;
extern CommandInfo kCommandInfo_IsMagicItemAutoCalc;
extern CommandInfo kCommandInfo_SetMagicItemAutoCalc;
extern CommandInfo kCommandInfo_AddFullEffectItem;
extern CommandInfo kCommandInfo_AddFullEffectItemC;

extern CommandInfo kCommandInfo_IsNthEffectItemScripted;
extern CommandInfo kCommandInfo_GetNthEffectItemScript;
extern CommandInfo kCommandInfo_SetNthEffectItemScript;
extern CommandInfo kCommandInfo_GetNthEffectItemScriptVisualEffect;
extern CommandInfo kCommandInfo_SetNthEffectItemScriptVisualEffect;
extern CommandInfo kCommandInfo_SetNthEffectItemScriptVisualEffectC;
extern CommandInfo kCommandInfo_GetNthEffectItemScriptSchool;
extern CommandInfo kCommandInfo_SetNthEffectItemScriptSchool;
extern CommandInfo kCommandInfo_IsNthEffectItemScriptHostile;
extern CommandInfo kCommandInfo_SetNthEffectItemScriptHostile;

extern CommandInfo kCommandInfo_GetMagicEffectCode;
extern CommandInfo kCommandInfo_GetMagicEffectBaseCost;
extern CommandInfo kCommandInfo_GetMagicEffectSchool;
extern CommandInfo kCommandInfo_GetMagicEffectProjectileSpeed;
extern CommandInfo kCommandInfo_GetMagicEffectEnchantFactor;
extern CommandInfo kCommandInfo_GetMagicEffectBarterFactor;
extern CommandInfo kCommandInfo_GetMagicEffectBaseCostC;
extern CommandInfo kCommandInfo_GetMagicEffectSchoolC;
extern CommandInfo kCommandInfo_GetMagicEffectProjectileSpeedC;
extern CommandInfo kCommandInfo_GetMagicEffectEnchantFactorC;
extern CommandInfo kCommandInfo_GetMagicEffectBarterFactorC;
extern CommandInfo kCommandInfo_IsMagicEffectHostile;
extern CommandInfo kCommandInfo_IsMagicEffectHostileC;
extern CommandInfo kCommandInfo_IsMagicEffectForSpellmaking;
extern CommandInfo kCommandInfo_IsMagicEffectForSpellmakingC;
extern CommandInfo kCommandInfo_IsMagicEffectForEnchanting;
extern CommandInfo kCommandInfo_IsMagicEffectForEnchantingC;
extern CommandInfo kCommandInfo_IsMagicEffectDetrimental;
extern CommandInfo kCommandInfo_IsMagicEffectDetrimentalC;
extern CommandInfo kCommandInfo_IsMagicEffectCanRecover;
extern CommandInfo kCommandInfo_IsMagicEffectCanRecoverC;
extern CommandInfo kCommandInfo_IsMagicEffectMagnitudePercent;
extern CommandInfo kCommandInfo_IsMagicEffectMagnitudePercentC;
extern CommandInfo kCommandInfo_MagicEffectFXPersists;
extern CommandInfo kCommandInfo_MagicEffectFXPersistsC;
extern CommandInfo kCommandInfo_IsMagicEffectOnSelfAllowed;
extern CommandInfo kCommandInfo_IsMagicEffectOnSelfAllowedC;
extern CommandInfo kCommandInfo_IsMagicEffectOnTouchAllowed;
extern CommandInfo kCommandInfo_IsMagicEffectOnTouchAllowedC;
extern CommandInfo kCommandInfo_IsMagicEffectOnTargetAllowed;
extern CommandInfo kCommandInfo_IsMagicEffectOnTargetAllowedC;
extern CommandInfo kCommandInfo_MagicEffectHasNoDuration;
extern CommandInfo kCommandInfo_MagicEffectHasNoDurationC;
extern CommandInfo kCommandInfo_MagicEffectHasNoMagnitude;
extern CommandInfo kCommandInfo_MagicEffectHasNoMagnitudeC;
extern CommandInfo kCommandInfo_MagicEffectHasNoArea;
extern CommandInfo kCommandInfo_MagicEffectHasNoAreaC;
extern CommandInfo kCommandInfo_MagicEffectHasNoIngredient;
extern CommandInfo kCommandInfo_MagicEffectHasNoIngredientC;
extern CommandInfo kCommandInfo_MagicEffectHasNoHitEffect;
extern CommandInfo kCommandInfo_MagicEffectHasNoHitEffectC;
extern CommandInfo kCommandInfo_MagicEffectUsesWeapon;
extern CommandInfo kCommandInfo_MagicEffectUsesWeaponC;
extern CommandInfo kCommandInfo_MagicEffectUsesArmor;
extern CommandInfo kCommandInfo_MagicEffectUsesArmorC;
extern CommandInfo kCommandInfo_MagicEffectUsesCreature;
extern CommandInfo kCommandInfo_MagicEffectUsesCreatureC;
extern CommandInfo kCommandInfo_MagicEffectUsesSkill;
extern CommandInfo kCommandInfo_MagicEffectUsesSkillC;
extern CommandInfo kCommandInfo_MagicEffectUsesAttribute;
extern CommandInfo kCommandInfo_MagicEffectUsesAttributeC;
extern CommandInfo kCommandInfo_MagicEffectUsesOtherActorValue;
extern CommandInfo kCommandInfo_MagicEffectUsesOtherActorValueC;
extern CommandInfo kCommandInfo_GetMagicEffectOtherActorValue;
extern CommandInfo kCommandInfo_GetMagicEffectOtherActorValueC;
extern CommandInfo kCommandInfo_GetMagicEffectUsedObject;
extern CommandInfo kCommandInfo_GetMagicEffectUsedObjectC;
